org.codehaus.groovy.macro.transform

## Class MacroClassTransformation

- java.lang.Object
- - org.codehaus.groovy.ast.MethodCallTransformation
  - - org.codehaus.groovy.macro.transform.MacroClassTransformation

- All Implemented Interfaces:
    ASTTransformation

      public class MacroClassTransformation
      extends MethodCallTransformation

  Transforms `MacroClass` calls into it's ClassNode
  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MacroClassTransformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`

    - ### Methods inherited from class org.codehaus.groovy.ast.MethodCallTransformation

      `visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MacroClassTransformation

          public MacroClassTransformation()

  - ### Method Detail

    - #### getTransformer

          protected GroovyCodeVisitor getTransformer(ASTNode[] nodes,
                                                     SourceUnit sourceUnit)

      Specified by:
        `getTransformer` in class `MethodCallTransformation`